### Method

# GdkX11 X11Surface set_utf8_property

#### Declaration [src]

    void
    gdk_x11_surface_set_utf8_property (
      GdkSurface* surface,
      const char* name,
      const char* value
    )

#### Description [src]

This function modifies or removes an arbitrary X11 window property of type UTF8_STRING. If the given `surface` is not a toplevel surface, it is ignored.

#### Parameters

`name` | `const char*`
| Property name, will be interned as an X atom.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`value` | `const char*`
| Property value, or `NULL` to delete.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.